<!DOCTYPE html>
<html>
	<body>
		<div class="common_content_btnList clearfix">
			<button id="importProductBtn" type="button" class="btn btn-success btn-block">导入</button>
			<button id="showProductBtn" type="button" class="btn btn-block">查看</button>
			<button id="editProductBtn" type="button" class="btn btn-block">编辑</button>
			<button id="deleteProductBtn" type="button" class="btn btn-block">删除</button>
			<button id="addProductBtn" type="button" class="btn btn-block">新增</button>
		</div>
		<div id="productTableDiv" class="common_content_table box_shadow border10">
			<table id="productTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true">
				<thead>
					<tr>
						<th data-options="field:'productId',checkbox:true"></th>
						<th data-options="field:'productCode',width:270,align:'center',halign:'center'">产品编号</th>
						<th data-options="field:'productName',width:200,align:'center',halign:'center'">产品名称</th>
					</tr>
				</thead>
			</table>
		</div>
		
		<div id="daoruchanpin" class="mask_in clearfix none">
			<form id="importForm"  method="post" enctype="multipart/form-data">
			<div class="detailed contactDetailed">
				<button type="button" class="icon detailed_close"></button>
				<div class="contactDetailed_title">导入商品</div>
				<div class="common_content_btnList clearfix">
					<button id="downImportTemp" type="button" class="btn btn-success btn-block">下载模版</button>
				</div>
				<div class="common_content_btnList clearfix">
					<div class="fl" style="position: relative; width: 130px; height: 40px;">
						<button id="userDetailedBoxBtn" type="button" class="btn btn-success">选择文件
						</button>
						<input type="file" name="fileInput" id="fileInput"  value="" style="position:absolute; width: 100%; height: 100%;top: 0; left: 0; opacity: 0;" />
					</div>
					<span id="fileSpan" class="file_title">未选择文件...</span>
					<button id="importBtn" type="button" class="btn">上传</button>
				</div>
			</div>
			</form>
		</div>		
		<div  id="chakanchanpin" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close" ></button>
				<div class="common_content_title">查看产品</div>
				<div>
					<div class="row">
						<div class="col-xs-2 msg">产品编号</div>
						<div class="col-xs-3">
							<input type="hidden" class="form-control input140" id="showProductId">
							<input type="text" class="form-control input140" id="showProductCode" data-options="length:'50'">
						</div>
						<div class="col-xs-offset-1 col-xs-2 msg">产品名称</div>
						<div class="col-xs-3">
							<div  style="position: absolute;">
								<input type="text" class="form-control input140" id="showProductName" data-options="length:'50'">
							</div>
						</div>
					</div>
					<div class="row">
						<div class="col-xs-2 msg"><span class="mustInput" style="left: -10px;">*</span>产品类别</div>
						<div class="col-xs-2">
							<select id="prdSortShow-multiple" multiple="multiple"></select>
							<i class="input_icon input_down_class"></i>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div  id="bianjichanpin" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close" ></button>
				<div class="common_content_title">编辑产品</div>
				<div>
					<form id="update_form">
						<div class="row">
							<div class="col-xs-2 msg"><span class="mustInput" style="left: -10px;">*</span>产品编号</div>
							<div class="col-xs-3">
								<input type="hidden" class="form-control input140" id="updateProductId">
								<input type="text" class="form-control input140" id="updateProductCode" data-options="required:false,length:'50'">
							</div>
							<div class="col-xs-offset-1 col-xs-2 msg"><span class="mustInput" style="left: -10px;">*</span>产品名称</div>
							<div class="col-xs-3">
								<div  style="position: absolute;">
									<input type="text" class="form-control input140" id="updateProductName" data-options="required:false,length:'50'">
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-2 msg"><span class="mustInput" style="left: -10px;">*</span>产品类别</div>
							<div class="col-xs-3">
								<select id="prdSortUpdate-multiple" multiple="multiple"></select>
								<i class="input_icon input_down_class"></i>
							</div>
						</div>
						<button id="update_btn" type="button" class="btn btn-success btn-block choose_btn">保存</button>
					</form>
				</div>
			</div>
		</div>
		<div  id="xinjianchanpin" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title">新建产品</div>
				<div>
					<form id="save_form">
						<div class="row">
							<div class="col-xs-2 msg"><span class="mustInput" style="left: -10px;">*</span>产品编号</div>
							<div class="col-xs-3">
								<input type="text" class="form-control" id="saveProductCode" name="productCode" data-options="required:true,length:'50'">
							</div>
							<div class="col-xs-offset-1 col-xs-2 msg"><span class="mustInput" style="left: -10px;">*</span>产品名称</div>
							<div class="col-xs-3">
								<input type="text" class="form-control" id="saveProductName" name="productName" data-options="required:true,length:'50'">
							</div>
						</div>
						<div class="row">
							<div class="col-xs-2 msg"><span class="mustInput" style="left: -10px;">*</span>产品类别</div>
							<div class="col-xs-3">
								<select id="prdSort-multiple" multiple="multiple"></select>
								<i class="input_icon input_down_class"></i>
							</div>
						</div>
						<button type="button" class="btn btn-success btn-block choose_btn" id="save_btn">保存</button>
					</form>
				</div>
			</div>
		</div>	
				<div id="piliangdaoru" class="common_content_table box_shadow border10 none">
					<table id="productImportTable" class="easyui-datagrid" style="width:100%;height:200px" data-options="method:'post'">
						<thead>
							<tr>
								<th data-options="field:'productId',checkbox:true">选择</th>
								<th data-options="field:'productCode',width:80,align:'center',halign:'center'">产品编号</th>
								<th data-options="field:'productName',width:80,align:'right',halign:'center'">产品名称</th>
								
							</tr>
						</thead>
					</table>
					<button type="button" class="btn btn-success btn-block choose_btn" id="import_save_btn">保存</button>
				</div>	
		<script type="text/javascript">
			$(function() {
				require(['view/base/productMaintenance'], function(re) {
					re.init();
				});
			});
		</script>
	</body>
</html>